<template>
  <form @submit.prevent="addPerson">
    <label>
      <span>Vorname ({{firstName}})</span>
      <input type="text" name="firstName" placeholder="Max" v-model.trim="firstName" required>
    </label>
    <label>
      <span>Nachname ({{lastName}})</span>
      <input type="text" name="lastName" placeholder="Muster" v-model.trim="lastName" required>
    </label>
    <button type="submit" class="btn btn-primary">Speichern</button>
  </form>

  <ul>
    <li v-for="(person, index) in persons">
      {{person.firstName}} {{person.lastName}}
      <button @click="deletePerson(index)">Löschen</button>
    </li>
  </ul>
</template>

<script setup>

import {ref} from "vue";

const firstName = ref('')
const lastName = ref('')

const persons = ref([])

function addPerson() {
  console.log(firstName.value, lastName.value)

  persons.value.push({
    firstName: firstName.value,
    lastName: lastName.value
  })

  firstName.value = ''
  lastName.value = ''
}

function deletePerson(index) {
  persons.value.splice(index, 1)
}
</script>
